Bug 168376

Summary: [PATCH] devel/py-celery update to 2.5.3
Product: Ports & Packages Reporter: William Grzybowski <william88>
Component: Individual Port(s)Assignee: Sunpoet Po-Chuan Hsieh <sunpoet>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
py-celery.patch none

Description William Grzybowski 2012-05-27 16:00:07 UTC
	2.5.x is the stable branch for some time now and brings several bugfixes

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2012-05-27 16:00:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-27 16:00:43 UTC
Maintainer of devel/py-celery,

Please note that PR ports/168376 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168376

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-05-27 16:00:46 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 alex 2012-05-31 12:01:02 UTC
Hello,

I 'd be very happy to upgrade Ïο 2.5.Χ (I have a patch in my homedir for
2.5.1 for some time now), however in celery's 2.5.X setup.py there is
the following:

install_requires.extend([
    "anyjson>=0.3.1",
    "kombu>=2.1.5,<3.0",
])

net/py-kombu at this point in FreeBSD ports is at 2.0.0.

I 've been watching py-kombu at freshports.org and I am ready to submit
the patch right after its upgrade but this has yet to happen.

We could ignore it and go on with upgrading but I very much dislike the
idea of ignoring upstream's requirements. We could also submit a patch
for py-kombu upgrade(2.1.8??) and then submit py-celery 2.5.3.

-- 
Alexandros Kosiaris 	Network Operation Center , GRNET S.A.
e-mail : alex@noc.grnet.gr
Public Key Fingerprint :
D6B1 0634 BE65 719C 6C95  7492 8201 4B46 C478 F074
Comment 5 William Grzybowski 2012-05-31 15:42:08 UTC
On Thu, May 31, 2012 at 8:01 AM, Alexandros Kosiaris <alex@noc.ntua.gr> wro=
te:
> Hello,
>
> I 'd be very happy to upgrade =CF=84=CE=BF 2.5.=CE=A7 (I have a patch in =
my homedir for
> 2.5.1 for some time now), however in celery's 2.5.X setup.py there is
> the following:
>
> install_requires.extend([
> =C2=A0 =C2=A0"anyjson>=3D0.3.1",
> =C2=A0 =C2=A0"kombu>=3D2.1.5,<3.0",
> ])
>
> net/py-kombu at this point in FreeBSD ports is at 2.0.0.
>
> I 've been watching py-kombu at freshports.org and I am ready to submit
> the patch right after its upgrade but this has yet to happen.
>
> We could ignore it and go on with upgrading but I very much dislike the
> idea of ignoring upstream's requirements. We could also submit a patch
> for py-kombu upgrade(2.1.8??) and then submit py-celery 2.5.3.

You're right.
I've submitted a patch to update py-kombu as well: ports/168498

Thanks

--=20
William Grzybowski
------------------------------------------
Ag=C3=AAncia Livre - www.agencialivre.com.br
Curitiba/PR - Brasil
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-06-16 20:51:55 UTC
Responsible Changed
From-To: freebsd-python->sunpoet

I'll take it.
Comment 7 dfilter service freebsd_committer 2012-06-22 10:33:10 UTC
sunpoet     2012-06-22 09:32:55 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-celery      Makefile distinfo pkg-plist 
  Log:
  - Update to 2.5.5
  
  Changes:        https://github.com/celery/celery/blob/master/Changelog
  PR:             ports/168376
  Submitted by:   William Grzybowski <william88@gmail.com>
  Approved by:    Alexandros Kosiaris <alex@noc.ntua.gr> (maintainer)
  
  Revision  Changes    Path
  1.2       +8 -8      ports/devel/py-celery/Makefile
  1.2       +2 -2      ports/devel/py-celery/distinfo
  1.2       +597 -534  ports/devel/py-celery/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-06-22 10:33:14 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!